<?php
    
    include('koneksi.php');
    
    //menginisiasi variabel-variabel yang dikirimkan dari form-->input name
    //fix problem : undefined index...
    if( isset($_POST['name'])        &&
        isset($_POST['address'])     &&
        isset($_POST['phone'])       &&
        isset($_POST['email'])    &&
        isset($_POST['username'])    &&
        isset($_POST['password'])  &&
        isset($_POST['repass'])   
      )
    {
        $nama         = $_POST['name'];
        $address      = $_POST['address'];
        $hp           = $_POST['phone'];
        $email          = $_POST['email'];
        $uname        = $_POST['username'];
        $pass         = $_POST['password'];
        $repass       = $_POST['repass'];
    }else{
        //otomatis mengalihkan ke halaman pendaftaran jika terjadi undefined index
        header("location:form_daftar.php");
    }
        //jika user telah memasukkan semua data yang dibutuhkan, koreksi kata sandi
        if($pass == $repass){
            //mengambil informasi dari nama tabel "member" pada kolom "nama"
            $ambilDataSql     = mysql_query("SELECT * FROM member WHERE username = '$uname'");
            //mengambil informasi dari seluruh kolom nama
            $cek_username = mysql_num_rows($ambilDataSql);
            $ambilDataMember     = mysql_query("SELECT * FROM member");
            $countData = mysql_num_rows($ambilDataMember);
            //mengecek ketersediaan identitas
            if($cek_username == 0){//jika nama  tidak ditemukan/belum terdaftar
                //lakukan penambahan data
                $id = $countData +1;
                mysql_query("INSERT INTO member VALUES($id,'$nama','$address','$hp','$uname','$pass','$email')");
                
                echo "pendaftaran berhasil";
            }else{
                echo "<h2> username pengguna sudah terdaftar. Silahkan ganti username anda</h2>";
                echo "<a href='form_daftar.php'>Kembali ke halaman pendaftaran</a>";
            }
        }else{
            //jika kata sandi tidak sama
            echo "kata sandi tidak sama";
            echo "<a href='pendaftaran.php'>Kembali ke halaman pendaftaran</a>";
        }
    
?>